Skip to main content
POST
/
v6
/
banks
/
accounts
/
query
Query bank accounts
curl --request POST \
  --url https://sandbox.tight.com/v6/banks/accounts/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cursor": "<string>",
  "limit": 123,
  "sort": {
    "orderBy": "ID",
    "direction": "ASC"
  },
  "filter": {
    "status": {
      "in": [
        "ACTIVE"
      ],
      "notIn": [
        "ACTIVE"
      ],
      "equal": "ACTIVE",
      "notEqual": "ACTIVE",
      "greaterThan": "ACTIVE",
      "greaterThanEqual": "ACTIVE",
      "lessThan": "ACTIVE",
      "lessThanEqual": "ACTIVE"
    },
    "journalEntry": {
      "expand": true
    },
    "integration": {
      "expand": true
    }
  }
}
'
{
  "result": "SUCCESS",
  "data": [
    {
      "id": "123456",
      "status": "ACTIVE",
      "apiName": "PLAID",
      "iconUrl": "https://cdn.sandbox.tight.com/icons/banks/56.png",
      "name": "Chase Checking",
      "mask": "1234",
      "integration": {
        "id": "<string>",
        "apiInstitutionId": "<string>"
      },
      "type": "DEPOSITORY",
      "lastSyncedDate": "2023-11-07T05:31:56Z",
      "syncTransactions": true,
      "isSupported": true,
      "tranStartDate": "2023-12-25",
      "tranMinStartDate": "2023-12-25",
      "latestTransactionDate": "2025-01-01",
      "glAccountId": "<string>",
      "beginningBalanceData": {
        "journalEntry": {
          "id": "<string>",
          "tranDate": "2023-12-25"
        },
        "amount": 123
      },
      "accountBalance": 100000
    }
  ],
  "cursor": {
    "after": "<string>",
    "before": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
cursor
string | null

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Required range: x <= 250
sort
object

Sort order for the items in the response.

filter
object

Filter for items in the response.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

cursor
object

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.